## Packet reception latency

Shuttle to A20, no XDP

With tracing and timestamps (some overhead):

| Latency measured                       |  min   |  avg   |  max   |
| -------------------------------------- | ------ | ------ | ------ |
| IRQ -> RX SO_TIMESTAMP                 |   27us |   31us |  136us |
| RX SO_TIMESTAMP -> Userspace timestamp |   85us |   93us |  247us |
| IRQ -> Userspace timestamp             |  112us |  124us |  383us |


With timestamps (little overhead):

| Latency measured                       |  min   |  avg   |  max   |  
| -------------------------------------- | ------ | ------ | ------ |  
| Shuttle timestamp -> A20 timestamp     |   88us |   88us |  300us |
| RX SO_TIMESTAMP (A20)                  |   67us |  172us |  173us |
| TX SO_TIMESTAMP -> (Shuttle)           |    2us |   18us |   20us |

